Name:           perl-Digest-SHA
Version:        5.44
Release:        6%{?dist}
Summary:        Perl extension for SHA-1/224/256/384/512
License:        Artistic or GPL
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Digest-SHA/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/Digest-SHA-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   perl(Test) perl(Test::More) perl(ExtUtils::MakeMaker) 
BuildRequires:   perl(Getopt::Std) perl(Test::Pod) perl(Test::Pod::Coverage)
BuildRequires:   perl(File::Basename) perl(File::Spec)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Digest::SHA is a complete implementation of the NIST Secure Hash
Standard.  It gives Perl programmers a convenient way to calculate
SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message digests.  The
module can handle all types of input, including partial-byte data.

%prep
%setup -q -n Digest-SHA-%{version}
chmod -c a-x Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

# remove errant execute bit from the .pm's / .xs's
find %{buildroot} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Digest/
%{_bindir}/shasum
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 5.44-6
- Rebuild for selinux ppc32 issue.

* Fri Jun  1 2007 Wes Hardaker <wjhns174@hardakers.net> - 5.44-5
- fix changelog

* Thu May 31 2007 Wes Hardaker <wjhns174@hardakers.net> - 5.44-4
- fix description clause to remove hyphenation
- pass optimization flags to Makefile.PL
- Reverse terms in license to match perl rpm exactly

* Mon May 14 2007  Wes Hardaker <wjhns174@hardakers.net> - 5.44-3
- BuildRequire a slew of modules needed for testing/building

* Tue May  8 2007  Wes Hardaker <wjhns174@hardakers.net> - 5.44-2
- Use vendorarch instead of vendorlib

* Thu Apr 19 2007  Wes Hardaker <wjhns174@hardakers.net> - 5.44-1
- Initial version
